<div class="summary-wrapper" *ngIf="(data | summary) as summary">
    <!-- CALORIES -->
    <div class="summary-macro">

        <span>{{ 'diets.summary.kcal' | translate }}</span>

        <span class="current-meal-plan">
            {{ summary.calories | number:'1.1-2' }}
        </span>
        <!-- 
        <span class="goal-plan" *ngIf="!simple">
            {{ summary.goal.calories | number:'1.1-2' }}
        </span> -->

        <mat-progress-bar *ngIf="showProgressBar" mode="determinate"
            [value]="summary.current.calories * 100 / summary.goal.calories" color="accent"></mat-progress-bar>
    </div>
    <!-- FATS -->
    <div class="summary-macro">
        <!--  <div *ngIf="showProgressBar" class="macro-icon macro-icon__fats" [matTooltip]="'diets.summary.fats' | translate"
        matTooltipPosition="left"></div> -->
        <span>{{ 'diets.summary.fats' | translate }}</span>

        <span class="current-meal-plan">
            {{ summary.fats | number:'1.1-2' }}
        </span>
        <!-- 
        <span class="goal-plan" *ngIf="!simple">
            {{ summary.goal.fats.value | number:'1.1-2' }} - ( {{ summary.goal.fats.percent | percent }} )
        </span> -->

        <mat-progress-bar *ngIf="showProgressBar" mode="determinate"
            [value]="summary.current.fats.value * 100 / summary.goal.fats.value" color="accent"></mat-progress-bar>
    </div>
    <!-- HC -->
    <div class="summary-macro">
        <!-- <div *ngIf="showProgressBar" class="macro-icon macro-icon__hc" [matTooltip]="'diets.summary.hcs' | translate"
        matTooltipPosition="left"></div> -->
        <span>{{ 'diets.summary.hc' | translate }}</span>

        <span class="current-meal-plan">
            {{ summary.hc | number:'1.1-2' }}
        </span>

        <!--
        <span class="goal-plan" *ngIf="!simple">
            {{ summary.goal.hc.value | number:'1.1-2' }} - ( {{ summary.goal.hc.percent | percent }} )
        </span> -->
        <mat-progress-bar *ngIf="showProgressBar" mode="determinate"
            [value]="summary.current.hc.value * 100 / summary.goal.hc.value" color="accent"></mat-progress-bar>
    </div>
    <!-- PROTEINS -->
    <div class="summary-macro">
        <!--   <div *ngIf="showProgressBar" class="macro-icon macro-icon__proteins" [matTooltip]="'diets.summary.proteins' | translate"
        matTooltipPosition="left"></div> -->
        <span>{{ 'diets.summary.proteins' | translate }}</span>

        <span class="current-meal-plan">
            {{ summary.proteins | number:'1.1-2' }}
        </span>
        <!-- 
        <span class="goal-plan" *ngIf="!simple">
            {{ summary.goal.proteins.value | number:'1.1-2' }} - ( {{ summary.goal.proteins.percent | percent }} )
        </span> -->
        <mat-progress-bar *ngIf="showProgressBar" mode="determinate"
            [value]="summary.current.proteins.value * 100 / summary.goal.proteins.value" color="accent">
        </mat-progress-bar>
    </div>

</div>